<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::acl::transport::test::MockTransport Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport.html">transport</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html">MockTransport</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::transport::test::MockTransport Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_mock_transport_8h_source.html">MockTransport.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::acl::transport::test::MockTransport:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport_inherit__map" id="alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html" title="alexaClientSDK::acl\l::TransportInterface" alt="" coords="39,92,178,131"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html" title="alexaClientSDK::avsCommon\l::utils::RequiresShutdown" alt="" coords="10,5,207,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::acl::transport::test::MockTransport:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport_coll__map" id="alexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html" title="alexaClientSDK::acl\l::TransportInterface" alt="" coords="39,92,178,131"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html" title="alexaClientSDK::avsCommon\l::utils::RequiresShutdown" alt="" coords="10,5,207,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af512b1827dd339aa246cf03af89002ae"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html#af512b1827dd339aa246cf03af89002ae">MockTransport</a> ()</td></tr>
<tr class="separator:af512b1827dd339aa246cf03af89002ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ddf67d17a50d82a3d080882f7d0cd4a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html#a4ddf67d17a50d82a3d080882f7d0cd4a">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a66df7916e28559f30233c2ff5a166293">doShutdown</a>, void())</td></tr>
<tr class="separator:a4ddf67d17a50d82a3d080882f7d0cd4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4dc8cb5ef6557e166dec3ee9f53a8d7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html#aa4dc8cb5ef6557e166dec3ee9f53a8d7">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#a6bb150f6f32190c7b334dc3e82fd1be3">connect</a>, bool())</td></tr>
<tr class="separator:aa4dc8cb5ef6557e166dec3ee9f53a8d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd5ee6d5928244fd27464b0f08062074"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html#abd5ee6d5928244fd27464b0f08062074">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#aa504ad3378271829731b0cd0a40398ae">disconnect</a>, void())</td></tr>
<tr class="separator:abd5ee6d5928244fd27464b0f08062074"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfa7604b99ce3015d589087788e2e0ab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html#acfa7604b99ce3015d589087788e2e0ab">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#a60baae3ab3469c7b858b3297540b5988">isConnected</a>, bool())</td></tr>
<tr class="separator:acfa7604b99ce3015d589087788e2e0ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5707d7abd53c5c43866dee0311c11602"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html#a5707d7abd53c5c43866dee0311c11602">MOCK_METHOD0</a> (isPendingDisconnected, bool())</td></tr>
<tr class="separator:a5707d7abd53c5c43866dee0311c11602"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a843db3cd8e1e0d86beb0267c3c597554"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html#a843db3cd8e1e0d86beb0267c3c597554">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#a07c5e01fbbf98789d7a4214d4db3780f">send</a>, void(std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">avsCommon::avs::MessageRequest</a> &gt;))</td></tr>
<tr class="separator:a843db3cd8e1e0d86beb0267c3c597554"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a619565e75d433fd9fe18db7dc1e65252"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html#a619565e75d433fd9fe18db7dc1e65252">MOCK_METHOD2</a> (onAttachmentReceived, void(const std::string &amp;contextId, const std::string &amp;message))</td></tr>
<tr class="separator:a619565e75d433fd9fe18db7dc1e65252"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html">alexaClientSDK::acl::TransportInterface</a></td></tr>
<tr class="memitem:a21b0b623af40d2eb6dc3716e03c22aaf inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#a21b0b623af40d2eb6dc3716e03c22aaf">TransportInterface</a> ()</td></tr>
<tr class="separator:a21b0b623af40d2eb6dc3716e03c22aaf inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bb150f6f32190c7b334dc3e82fd1be3 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#a6bb150f6f32190c7b334dc3e82fd1be3">connect</a> ()=0</td></tr>
<tr class="separator:a6bb150f6f32190c7b334dc3e82fd1be3 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa504ad3378271829731b0cd0a40398ae inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#aa504ad3378271829731b0cd0a40398ae">disconnect</a> ()=0</td></tr>
<tr class="separator:aa504ad3378271829731b0cd0a40398ae inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60baae3ab3469c7b858b3297540b5988 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#a60baae3ab3469c7b858b3297540b5988">isConnected</a> ()=0</td></tr>
<tr class="separator:a60baae3ab3469c7b858b3297540b5988 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07c5e01fbbf98789d7a4214d4db3780f inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#a07c5e01fbbf98789d7a4214d4db3780f">send</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">avsCommon::avs::MessageRequest</a> &gt; request)=0</td></tr>
<tr class="separator:a07c5e01fbbf98789d7a4214d4db3780f inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5872af72ef57864abc0a5f8a82ed365 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#ae5872af72ef57864abc0a5f8a82ed365">TransportInterface</a> (const <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html">TransportInterface</a> &amp;rhs)=delete</td></tr>
<tr class="separator:ae5872af72ef57864abc0a5f8a82ed365 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9dd6ce2dc8aad15a269189a16dd75f5 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html">TransportInterface</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#ae9dd6ce2dc8aad15a269189a16dd75f5">operator=</a> (const <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html">TransportInterface</a> &amp;rhs)=delete</td></tr>
<tr class="separator:ae9dd6ce2dc8aad15a269189a16dd75f5 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9936c548f13019cb9532b8a22918ddc6 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#a9936c548f13019cb9532b8a22918ddc6">~TransportInterface</a> ()=default</td></tr>
<tr class="separator:a9936c548f13019cb9532b8a22918ddc6 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_transport_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td></tr>
<tr class="memitem:aae7174ed932ae1413460255238c4422b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#aae7174ed932ae1413460255238c4422b">RequiresShutdown</a> (const std::string &amp;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a745cd4dc404db52f7d0afbf838454fac">name</a>)</td></tr>
<tr class="separator:aae7174ed932ae1413460255238c4422b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a649b80d77e4e6f66e218ee3bfc71823b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a649b80d77e4e6f66e218ee3bfc71823b">~RequiresShutdown</a> ()</td></tr>
<tr class="memdesc:a649b80d77e4e6f66e218ee3bfc71823b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a649b80d77e4e6f66e218ee3bfc71823b">More...</a><br /></td></tr>
<tr class="separator:a649b80d77e4e6f66e218ee3bfc71823b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a745cd4dc404db52f7d0afbf838454fac inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a745cd4dc404db52f7d0afbf838454fac">name</a> () const</td></tr>
<tr class="separator:a745cd4dc404db52f7d0afbf838454fac inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a350a147e52eb3ad3c1326e6639861066 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a350a147e52eb3ad3c1326e6639861066">shutdown</a> ()</td></tr>
<tr class="separator:a350a147e52eb3ad3c1326e6639861066 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9352626109735aba40b5fb310913355 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#af9352626109735aba40b5fb310913355">isShutdown</a> () const</td></tr>
<tr class="separator:af9352626109735aba40b5fb310913355 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad5a48bee8391c37597a9a00270435854"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html#ad5a48bee8391c37597a9a00270435854">m_id</a></td></tr>
<tr class="separator:ad5a48bee8391c37597a9a00270435854"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td></tr>
<tr class="memitem:a66df7916e28559f30233c2ff5a166293 inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a66df7916e28559f30233c2ff5a166293">doShutdown</a> ()=0</td></tr>
<tr class="separator:a66df7916e28559f30233c2ff5a166293 inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af512b1827dd339aa246cf03af89002ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af512b1827dd339aa246cf03af89002ae">&#9670;&nbsp;</a></span>MockTransport()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::MockTransport::MockTransport </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a4ddf67d17a50d82a3d080882f7d0cd4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ddf67d17a50d82a3d080882f7d0cd4a">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::MockTransport::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a66df7916e28559f30233c2ff5a166293">doShutdown</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa4dc8cb5ef6557e166dec3ee9f53a8d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4dc8cb5ef6557e166dec3ee9f53a8d7">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::MockTransport::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#a6bb150f6f32190c7b334dc3e82fd1be3">connect</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abd5ee6d5928244fd27464b0f08062074"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd5ee6d5928244fd27464b0f08062074">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::MockTransport::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#aa504ad3378271829731b0cd0a40398ae">disconnect</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acfa7604b99ce3015d589087788e2e0ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfa7604b99ce3015d589087788e2e0ab">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::MockTransport::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#a60baae3ab3469c7b858b3297540b5988">isConnected</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5707d7abd53c5c43866dee0311c11602"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5707d7abd53c5c43866dee0311c11602">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::MockTransport::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype">isPendingDisconnected&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a843db3cd8e1e0d86beb0267c3c597554"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a843db3cd8e1e0d86beb0267c3c597554">&#9670;&nbsp;</a></span>MOCK_METHOD1()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::MockTransport::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html#a07c5e01fbbf98789d7a4214d4db3780f">send</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">avsCommon::avs::MessageRequest</a> &gt;)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a619565e75d433fd9fe18db7dc1e65252"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a619565e75d433fd9fe18db7dc1e65252">&#9670;&nbsp;</a></span>MOCK_METHOD2()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::MockTransport::MOCK_METHOD2 </td>
          <td>(</td>
          <td class="paramtype">onAttachmentReceived&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(const std::string &amp;contextId, const std::string &amp;message)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ad5a48bee8391c37597a9a00270435854"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5a48bee8391c37597a9a00270435854">&#9670;&nbsp;</a></span>m_id</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int alexaClientSDK::acl::transport::test::MockTransport::m_id</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/ACL/test/Transport/<a class="el" href="_mock_transport_8h_source.html">MockTransport.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
